security/wfuzz - The NetBSD Packages Collection

Web application fuzzer

Wfuzz has been created to facilitate the task in web applications
assessments and it is based on a simple concept: it replaces any
reference to the FUZZ keyword by the value of a given payload.

A payload in Wfuzz is a source of data.

This simple concept allows any input to be injected in any field of an
HTTP request, allowing to perform complex web security attacks in
different web application components such as: parameters,
authentication, forms, directories/files, headers, etc.

Wfuzz is more than a web content scanner:

 - Wfuzz could help you to secure your web applications by finding and
   exploiting web application vulnerabilities. Wfuzz's web application
   vulnerability scanner is supported by plugins.
 - Wfuzz is a completely modular framework and makes it easy for even
   the newest of Python developers to contribute. Building plugins is
   simple and takes little more than a few minutes.
 - Wfuzz exposes a simple language interface to the previous HTTP
   requests/responses performed using Wfuzz or other tools, such as Burp.
   This allows you to perform manual and semi-automatic tests with full
   context and understanding of your actions, without relying on a web
   application scanner underlying implementation.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

converters/py-chardet www/py-curl devel/py-pyparsing lang/py-six devel/py-setuptools lang/python38 lang/python38

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfwfuzz-3.1.0.tgz
NetBSD 8.0earmv7hfwfuzz-3.1.0.tgz
NetBSD 8.0i386wfuzz-3.1.0.tgz
NetBSD 8.0i386wfuzz-3.1.0.tgz
NetBSD 8.0powerpcwfuzz-3.1.0.tgz
NetBSD 8.0powerpcwfuzz-3.1.0.tgz
NetBSD 8.0x86_64wfuzz-3.1.0.tgz
NetBSD 8.0x86_64wfuzz-3.1.0.tgz
NetBSD 9.0aarch64wfuzz-3.1.0.tgz
NetBSD 9.0aarch64wfuzz-3.1.0.tgz
NetBSD 9.0alphawfuzz-3.1.0.tgz
NetBSD 9.0alphawfuzz-3.1.0.tgz
NetBSD 9.0earmv6hfwfuzz-3.1.0.tgz
NetBSD 9.0earmv7hfwfuzz-3.1.0.tgz
NetBSD 9.0earmv7hfwfuzz-3.1.0.tgz
NetBSD 9.0earmv7hfwfuzz-3.1.0.tgz
NetBSD 9.0earmv7hfwfuzz-3.1.0.tgz
NetBSD 9.0i386wfuzz-3.1.0.tgz
NetBSD 9.0i386wfuzz-3.1.0.tgz
NetBSD 9.0mips64ebwfuzz-3.1.0.tgz
NetBSD 9.0mips64ebwfuzz-3.1.0.tgz
NetBSD 9.0powerpcwfuzz-3.1.0.tgz
NetBSD 9.0powerpcwfuzz-3.1.0.tgz
NetBSD 9.0powerpcwfuzz-3.1.0.tgz
NetBSD 9.0sparc64wfuzz-3.1.0.tgz
NetBSD 9.0sparc64wfuzz-3.1.0.tgz
NetBSD 9.0sparcwfuzz-3.1.0.tgz
NetBSD 9.0sparcwfuzz-3.1.0.tgz
NetBSD 9.0x86_64wfuzz-3.1.0.tgz
NetBSD 9.0x86_64wfuzz-3.1.0.tgz
NetBSD 9.0x86_64wfuzz-3.1.0.tgz
NetBSD 9.0x86_64wfuzz-3.1.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.